//-------------------------------------------------------------------------*
// 工 程 名: LED数码管                                                     *
// 硬件连接: 若将核心板直接插在实验板上，则无需连线                        *
// 程序描述: LED数码管显示'2009'                                           *
// 目    的: 掌握数码管使用                                                *
// 说    明: 可通过修改LEDbuf值更换数码管显示内容                          *
//--------------------苏州大学飞思卡尔嵌入式系统实验室---------------------*

#include "Includes.h"
uint8  LEDbuf[4];   //存放需要LED显示数据

int main(void)
{ 
    LEDbuf[0]='2';
    LEDbuf[1]='0';
    LEDbuf[2]='0';
    LEDbuf[3]='9';   
    //1 关总中断
    DisableInterrupts();     
    //2 芯片初始化
    MCUInit();
    //3 LED初始化
    LEDinit();
    //4 开总中断 
    EnableInterrupts();      

    //4 主循环      
    while (1)                      
    {
       LEDshow(LEDbuf);
    }
    return 0;
}
